# Update general settings

Endpoint: PATCH /code/api/v1/repos/{repo_identifier}/settings/general
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

## Request fields (application/json):

  - `auto_merge_enabled` (boolean,null)

  - `file_size_limit` (integer,null)
    file size limit in bytes

  - `git_lfs_enabled` (boolean,null)

## Response 200 fields (application/json):

  - `auto_merge_enabled` (boolean,null)

  - `file_size_limit` (integer,null)
    file size limit in bytes

  - `git_lfs_enabled` (boolean,null)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


